"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const EventListener_1 = __importDefault(require("@sudobot/core/EventListener"));
const ClientEvents_1 = require("@sudobot/types/ClientEvents");
class NormalMessageCreateEventListener extends EventListener_1.default {
    constructor() {
        super(...arguments);
        this.name = ClientEvents_1.Events.NormalMessageCreate;
    }
    async execute(message) {
        const urlfishService = this.client.getService("urlfish");
        const links = urlfishService.scanMessage(message);
        if (links.length > 0) {
            await message.delete();
        }
    }
}
exports.default = NormalMessageCreateEventListener;
